Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.umich.soar.hpp
Class HPPConstraint

    java.lang.Object
      edu.umich.soar.hpp.HPPConstraint

All Implemented Interfaces:
  java.lang.Comparable<HPPConstraint>

Direct Known Subclasses:
  HPPBinaryConstraint

    public class HPPConstraint

extends java.lang.Object
implements java.lang.Comparable<HPPConstraint>

Qualitative constraint - name/value combination

Constructor Summary
`HPPConstraint(HPPVariable variable, java.lang.String value)` Utility constructor - takes the name of an existing variable
`HPPConstraint(java.lang.String name, java.lang.String value)` Basic constructor

Method Summary
`int` | `compareTo(HPPConstraint o)`
`java.lang.String` | `getName()` Supports read-only access to the constraint name
`java.lang.String` | `getValue()` Supports read-only access to the constraint value
`boolean` | `satisfiedBy(java.lang.String varName, java.lang.String varValue)` Utility function to perform qualitative equivalence test
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HPPConstraint

    public HPPConstraint(java.lang.String name,
                         java.lang.String value)

  Basic constructor

  Parameters:
    `name` - constraint name
    `value` - constraint value

### HPPConstraint

    public HPPConstraint(HPPVariable variable,
                         java.lang.String value)

  Utility constructor - takes the name of an existing variable

  Parameters:
    `variable` - source of constraint name
    `value` - constraint value

Method Detail

### getName

    public java.lang.String getName()

  Supports read-only access to the constraint name

  Returns:
    constraint name

### getValue

    public java.lang.String getValue()

  Supports read-only access to the constraint value

  Returns:
    constraint value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### satisfiedBy

    public boolean satisfiedBy(java.lang.String varName,
                               java.lang.String varValue)

  Utility function to perform qualitative equivalence test

  Parameters:
    `varName` - variable name
    `varValue` - variable value
  Returns:
    true if both name and value are equal to constraint name/value

### compareTo

    public int compareTo(HPPConstraint o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<HPPConstraint>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD